{ Copyright (C) 2001 suxxx@users.sourceforge.net
This is free software distributed under the terms of the
GNU Public License.  See the file COPYING for details.
$Id: odc_autosavesettings.pas,v 0.1 2002/01/03 16:30 suxxx $
}

{ here the timer stored, that autosaves the settings every 15 minutes }

unit odc_autosavesettings;

interface

uses
    { kylix / delphi units}
    SysUtils,
    classes,
    { opendcd units }
    declare_types,
    declare_vars,
    threadtimer,
    global_multiconsol_functions,
    global_reguser_functions,
    global_linkedserver_functions,
    global_memo_functions;

type
  TODCAutosaveSettings = class(TComponent)
  protected
   _ODCAutosaveSettingsTimer:TThreadTimer;
  private
   { ontimer event }
   procedure ODC_AutosaveSettingsTimerOnTimer();
  public
   constructor Create();
   destructor Destroy();
  end;

implementation

{constructor}
constructor TODCAutosaveSettings.Create();
begin
 inherited Create(nil);

 _ODCAutosaveSettingsTimer := TThreadTimer.Create(900);
 _ODCAutosaveSettingsTimer.OnTimer := ODC_AutosaveSettingsTimerOnTimer;

end;

{destructor}
destructor TODCAutosaveSettings.Destroy();
begin
 inherited Destroy;
 _ODCAutosaveSettingsTimer.Terminate;
 _ODCAutosaveSettingsTimer.destroy;
end;

{timer event}
procedure TODCAutosaveSettings.ODC_AutosaveSettingsTimerOnTimer();
begin
 ConsoleWriteln('[LOG] Autosaving userdb, linked servers, memos.',1,0,0);
 SaveRegUserlist();
 savememos();
 savelinkedserver();
end;



end.
