{ Copyright (C) 2001 suxxx@users.sourceforge.net
This is free software distributed under the terms of the
GNU Public License.  See the file COPYING for details.
$Id: global_ban_functions.pas,v 0.1 2002/01/03 16:30 suxxx $
}

{ here all ban functions stored }

{
todos:
* cleaning code
* permban
}

unit global_ban_functions;

interface

uses SysUtils,
     declare_types,
     declare_vars,
     global_multiconsol_functions,
     global_functions;

function IsBannedUser(username:string;ipaddress:string):boolean;
function AddBannedUser(username:string;ipaddress:string;timeinseconds:int64):boolean;
function RemoveBannedUser(username:string;ipaddress:string):boolean;
procedure ListBannedusers();


implementation

function IsBannedUser(username:string;ipaddress:string):boolean;
var index,i :integer;
begin
index := -1;
for i := 0 to (length(bannedusers) -1) do
begin
     if ((bannedusers[i].username= username) and (username <> '')) then
     begin
          index := i;
          break;
     end;
     if ((bannedusers[i].ipaddress = ipaddress) and (ipaddress <> '')) then
     begin
          index := i;
          break;
     end;
end;

if index = -1 then
begin
 result := false;
end
else
begin
 if  bannedusers[index].BannedTo > now then
 begin
  result := true;
 end
 else
 begin
  RemoveBannedUser(bannedusers[index].username,bannedusers[index].IPAddress);
  result := false;
 end;
end;
end;

function AddBannedUser(username:string;ipaddress:string;timeinseconds:int64):boolean;
begin
setlength(bannedusers,length(bannedusers)+1);
if username = '*' then username := '';
if ipaddress = '*' then ipaddress := '';
bannedusers[length(bannedusers) -1].Username := username;
bannedusers[length(bannedusers) -1].ipaddress := ipaddress;
bannedusers[length(bannedusers)- 1].BannedTo := UnixToDateTime( DateTimeToUnix(now) + timeinseconds);
result  := true;
end;

function RemoveBannedUser(username:string;ipaddress:string):boolean;
var i,index,count:integer;
    done:boolean;
label removeit;
label restart;
begin
done := false;
restart:
index := -1;

for i := 0 to (length(bannedusers) -1) do
begin
     if bannedusers[i].username= username then
     begin
          index := i;
          goto removeit;
          break;
     end;
     if bannedusers[i].ipaddress = ipaddress then
     begin
          index := i;
          goto removeit;
          break;
     end;
end;
 result := done;
 exit;
 removeit:

 count := length(bannedusers);

 if count = 1 then
 begin
  setlength(bannedusers,0);
 end
 else
 begin
  move(bannedusers[index +1],bannedusers[index], (count - index) * sizeof(TBannedUser));
  setlength(bannedusers,count -1);
 end;

 done := true;
 goto restart;
end;

procedure ListBannedusers();
var i:integer;
    t1,t2:string;
begin
if length(bannedusers) = 0 then
begin
 ConsoleWriteln('No banned User found!',0,0,0);
end
else
begin
 ConsoleWriteln('Currently this Users are banned:',0,0,0);
 for i := 0 to (length(bannedusers) -1) do
 begin
  t1 := bannedusers[i].Username;
  t2 := bannedusers[i].IPAddress;
  if t1 = '' then t1 := '*';
  if t2 = '' then t2 := '*';
  ConsoleWriteln(inttostr(i +1) + '. ' + t1 + ' (' + t2 + ') Banned to: ' + datetostr(bannedusers[i].BannedTo) + ' ' + timetostr(bannedusers[i].BannedTo),0,0,0);
 end;
end;
end;

end.
