
{ Copyright (C) 2001 suxxx@users.sourceforge.net
This is free software distributed under the terms of the
GNU Public License.  See the file COPYING for details.
$Id: global_linkedserver_functions.pas,v 0.1 2002/01/03 16:30 suxxx $
}

{ here all memo functions stored }

{
todos:
* cleaning code
}

unit global_memo_functions;

interface

uses
     { kylix / delphi units}
     SysUtils,
     { opendcd units }
     declare_types,
     declare_vars,
     global_functions,
     { indy units }
     IdTCPServer;

function loadmemos():string;
procedure savememos();
function addmemo(fromuser:string;touser:string;textmessage:string;senddate:string):boolean;
function removememo(touser:string;id:integer):boolean;
procedure informuseraboutmemos(socket:TIdPeerThread);


implementation

function loadmemos():string;
var MyFile:file;
    i:integer;
    tmpMemos:TMemoServMessages;
begin
AssignFile (MyFile,'memolist.dat');
setlength(memos,0);
if (fileexists('memolist.dat') = true) then
begin
reset(MyFile,1);
if (FileSize(MyFile) >= sizeof(tmpMemos))  then
begin

i := 1;
while (i < FileSize(MyFile)) do
begin
blockread(MyFile,tmpMemos,sizeof(tmpMemos));
setlength(memos,length(memos) +1);
memos[length(memos) - 1] := tmpMemos;
i := i + sizeof(tmpMemos);
end;
result := inttostr(length(memos)) + ' Memos loaded';
end;
end;
end;

procedure savememos();
var MyFile:file;
    i:integer;
    tmpmemos:TMemoServMessages;
begin
AssignFile (MyFile,'memolist.dat');
Rewrite(MyFile, 1);
for i := 0 to length(memos) -1 do
begin
tmpmemos := memos[i];
Blockwrite(MyFile,tmpmemos,sizeof(tmpmemos));
end;
end;

function addmemo(fromuser:string;touser:string;textmessage:string;senddate:string):boolean;
begin
setlength(memos,length(memos) +1);
memos[length(memos) - 1].FromUser := fromuser;
memos[length(memos) - 1].ToUser := touser;
memos[length(memos) - 1].textmessage := textmessage;
memos[length(memos) - 1].SendDate := senddate;
memos[length(memos) - 1].Readed := false;
result := true;
end;



function removememo(touser:string;id:integer):boolean;
var i,j,index,count:integer;
begin
j := 0;
index := -1;
for i := 0 to length(memos) - 1 do
begin
 if (uppercase(touser) = uppercase(memos[i].ToUser)) then
 begin
  inc(j);
  if (j = id) then
  begin
        index := i;
        break;
  end;
  end;
end;
if (index <> -1) then
begin
 count := length(memos);

 if count = 1 then
 begin
  setlength(memos,0);
  result := true;
 end
 else
 begin
  move(memos[index +1],memos[index], (count - index) * sizeof(TMemoServMessages));
  setlength(memos,count -1);
  result := true;
 end;
end
else
begin
result := false;
end;
end;

procedure informuseraboutmemos(socket:TIdPeerThread);
var n,j:integer;
    username:string;
begin
j := 0;
username := DCHub.DCCMD_GetUsernamebySocket(socket);
for n := 0 to length(memos) -1 do
begin
 if (uppercase(username) = uppercase(memos[n].ToUser)) then
 begin
  if (memos[n].Readed = false) then inc(j);
 end;
end;
if (j > 0) then
begin
DCHub.DCCMD_SendToUserMsg(socket,'<Memoserv> You have '+ inttostr(j) + ' new Memo(s). Type "%memoserv list", to list the messages!');
end;
end;


end.
